<?php
if (!defined('ABSPATH'))
    exit;
?>
<div id="activate-license" style="display:none">
    <h2 class="berq-tab-title"><?php _e('BerqWP License', 'searchpro'); ?></h2>
    <style>

        div#berqwp-license-activation input[type="password"] {
            border-radius: 0;
            padding: 5px 15px;
            width: 30%;
        }

        div#berqwp-license-activation input[type="submit"] {
            border: none;
            background: #1F71FF;
            padding: 11px 20px;
            color: #fff;
            cursor: pointer;
        }
    </style>
    <div id="berqwp-license-activation">
        <div class="berq-info-box">
            <h3 class="berq-box-title"><?php _e('BerqWP License Activation', 'searchpro'); ?></h3>
            <div class="berq-box-content">
                <?php if (!$this->is_key_verified) { ?>
                
                <input type="password" placeholder="<?php _e('Enter your license key', 'searchpro'); ?>" name="berqwp_license_key">
                <input type="submit" value="<?php _e('Activate', 'searchpro'); ?>">
                
                <?php } else { ?>
                    <input type="submit" name="berq_deactivate_key" value="<?php _e('Deactivate license key', 'searchpro'); ?>" style="background-color:red;">
                    <!-- <a href="" style="color:red;font-size:16px">Deactivate license key</a> -->
                <?php } ?>
            </div>
        </div>

        <?php if ($this->is_key_verified) { ?>
        <div class="berq-info-box">
            <h3 class="berq-box-title"><?php _e('My Account', 'searchpro'); ?></h3>
            <div class="berq-box-content">
                <?php if ($this->key_response->product_ref !== 'AppSumo Deal') { ?>
                <p>
                    <?php _e('License:', 'searchpro'); ?>
                    <?php echo sanitize_text_field( $this->key_response->product_ref ); ?>
                </p>
                <?php } ?>
                <p><?php _e('License status:', 'searchpro'); ?>
                    <?php echo sanitize_text_field( $this->key_response->status ); ?>
                </p>
                <p><?php _e('Expiration date:', 'searchpro'); ?>
                    <?php echo sanitize_text_field( $this->key_response->date_expiry ); ?>
                </p>
            </div>
        </div>
        <?php } ?>
       
    </div>
</div>