<?php
if (!defined('ABSPATH')) exit;

add_action('rest_api_init', function () {

    register_rest_route(
        'optifer/v1',
        '/media-ids',
        array(
            'methods' => 'POST',
            'callback' => [$this, 'get_media_ids'],
        )
    );

    register_rest_route(
        'optifer/v1',
        '/optimize-images',
        array(
            'methods' => 'POST',
            'callback' => [$this, 'optimize_images'],
        )
    );

    register_rest_route(
        'optifer/v1',
        '/delete-images',
        array(
            'methods' => 'POST',
            'callback' => [$this, 'delete_images'],
        )
    );

    register_rest_route(
        'optifer/v1',
        '/clear-cache',
        array(
            'methods' => 'POST',
            'callback' => [$this, 'clear_cache'],
        )
    );

    register_rest_route(
        'optifer/v1',
        '/warmup-cache',
        array(
            'methods' => 'POST',
            'callback' => [$this, 'warmup_cache'],
        )
    );

    register_rest_route(
        'optifer/v1',
        '/store-webp',
        array(
            'methods' => 'POST',
            'callback' => [$this, 'store_webp'],
        )
    );

    register_rest_route(
        'optifer/v1',
        '/store-cache',
        array(
            'methods' => 'POST',
            'callback' => [$this, 'store_cache'],
        )
    );

    register_rest_route(
        'optifer/v1',
        '/store-javascript-cache',
        array(
            'methods' => 'POST',
            'callback' => [$this, 'store_javascript_cache'],
        )
    );
    
});